function makePOSCAR(sys,file)

%Open the file
filename=[file 'POSCAR'];
fid = fopen(filename,'w');

%write the name in the first line
fprintf(fid,'%s\n',filename);
%1.0000 for scaling...
fprintf(fid,'%f\n',1.0000);

%write out lattice vectors

    fprintf(fid,'%1.4f ',sys.latvec(1,1));
    fprintf(fid,'%s','  ');
    fprintf(fid,'%1.4f ',sys.latvec(1,2));
    fprintf(fid,'%s','  ');
    fprintf(fid,'%1.4f ',sys.latvec(1,3));
    fprintf(fid,'%s','  ');
    fprintf(fid,'%s\n',' ');


    fprintf(fid,'%1.4f ',sys.latvec(2,1));
    fprintf(fid,'%s','  ');
    fprintf(fid,'%1.4f ',sys.latvec(2,2));
    fprintf(fid,'%s','  ');
    fprintf(fid,'%1.4f ',sys.latvec(2,3));
    fprintf(fid,'%s','  ');
    fprintf(fid,'%s\n',' ');
    
    fprintf(fid,'%1.4f ',sys.latvec(3,1));
    fprintf(fid,'%s','  ');
    fprintf(fid,'%1.4f ',sys.latvec(3,2));
    fprintf(fid,'%s','  ');
    fprintf(fid,'%1.4f ',sys.latvec(3,3));
    fprintf(fid,'%s','  ');
    fprintf(fid,'%s\n',' ');
    
%write out numbers of kinds

mx=max(sys.kind);

for i=1:mx
    wo=length(sys.kind(sys.kind==i));
    fprintf(fid,'%1.4f ',wo);
end

fprintf(fid,'%s\n',' ');

%Make Cartesian Coordinates
    fprintf(fid,'%s\n','Cartesian')

%write out atom positions and kind
for i=1:sys.numatms
    fprintf(fid,'%1.4f ',sys.pos(i,1));
    fprintf(fid,'%s','  ');
    fprintf(fid,'%1.4f ',sys.pos(i,2));
    fprintf(fid,'%s','  ');
    fprintf(fid,'%1.4f ',sys.pos(i,3));
    fprintf(fid,'%s','  ');
        fprintf(fid,'%1.4f ',sys.kind(i));
    fprintf(fid,'%s','  ');
    fprintf(fid,'%s\n',' ');
end


%close file
fclose(fid);