function phi=thermint(phi0,E,c,beta,mu)
% Integrates Phi vs. mu.

% Orient vectors as colums
[m,n]=size(c);
if (m<n)
    c=c';
end
[m,n]=size(mu);
if (m<n)
    mu=mu';
end

phi=-cumtrapz(mu,c);
phi=phi+phi0;
